Bug 193465 - [SIGNAL/BIND] Regressions with GCC 4.1
[SIGNAL/BIND] Regressions with GCC 4.1
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: boost (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Benjamin Kosnik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-29 04:15 EDT by Gianluca Sforna
Modified: 2013-08-09 01:47 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.33.1-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-20 12:35:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix for boost/bind.hpp header (395 bytes, patch)
2006-05-29 04:15 EDT, Gianluca Sforna
no flags Details | Diff

  None (edit)
Description Gianluca Sforna 2006-05-29 04:15:20 EDT
Description of problem:
It is reported in various places that gcc 4.1 exposes a problem with
boost::signal and boost::bind. Most notably, here:
http://thread.gmane.org/gmane.comp.lib.boost.devel/138861

where the solution is reported. I am also attaching a patch, which is the one
liner already in boost CVS:

http://boost.cvs.sourceforge.net/boost/boost/boost/bind.hpp?r1=1.53&r2=1.54

so I guess it would be need only until next boost release.


Version-Release number of selected component (if applicable):
1.33.1-5
Comment 1 Gianluca Sforna 2006-05-29 04:15:20 EDT
Created attachment 130175 [details]
fix for boost/bind.hpp header
Comment 2 Gianluca Sforna 2006-07-19 04:29:33 EDT
ping
Comment 3 Gianluca Sforna 2006-08-18 06:16:27 EDT
ping

I checked FC6test2 SRPMS and it seems the bug is still there. Please, could this
be fixed in time for the release?
Comment 4 Benjamin Kosnik 2006-08-22 06:54:24 EDT
I'd like to update the boost sources to the current boost release sources, which
will solve this and other bugs. I will try to put this through testing today or
tomorrow, depending on my connectivity and the state of the build system.

Thoughts?

-benjamin
Comment 5 Gianluca Sforna 2006-08-22 16:25:13 EDT
Thanks! That would rock for sure :)

What do you mean exactly with "current boost release sources"? The 1.34 RC ones?
Comment 6 Benjamin Kosnik 2006-11-20 12:35:26 EST
I'll do a 1.34 run when the sources are a bit more together: the RC_1_34_0
sources are not yet baked.

I just updated the 1.33.1 sources with your patch, and pushed out for FC5 and FC6.

Sorry I took so long on this.

-benjamin

Note You need to log in before you can comment on or make changes to this bug.